## Index

### Interfaces

- Logger

### Type aliases

- LogFn

### Functions

- createLogger
- getLogFn

## Type aliases

### LogFn

LogFn: function

- Defined in logger/logger.ts:5

#### Type declaration

- - (message: string, data?: any): void

  - #### Parameters

    - ##### message: string

    - ##### Optional data: any

    #### Returns void

## Functions

### createLogger

- createLogger(className: string, modelConstructor: ModelConstructor<any>): Logger

- - Defined in logger/logger.ts:26

  #### Parameters

  - ##### className: string

  - ##### modelConstructor: ModelConstructor<any>

  #### Returns Logger

### getLogFn

- getLogFn(className: string, modelConstructor: string, level: LogLevel): LogFn

- - Defined in logger/logger.ts:13

  #### Parameters

  - ##### className: string

  - ##### modelConstructor: string

  - ##### level: LogLevel

  #### Returns LogFn

Generated using TypeDoc